# Form implementation generated from reading ui file 'src/eric7/MicroPython/Devices/EspDialogs/EspBackupRestoreFirmwareDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EspBackupRestoreFirmwareDialog(object):
    def setupUi(self, EspBackupRestoreFirmwareDialog):
        EspBackupRestoreFirmwareDialog.setObjectName("EspBackupRestoreFirmwareDialog")
        EspBackupRestoreFirmwareDialog.resize(500, 198)
        EspBackupRestoreFirmwareDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EspBackupRestoreFirmwareDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=EspBackupRestoreFirmwareDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.espComboBox = QtWidgets.QComboBox(parent=EspBackupRestoreFirmwareDialog)
        self.espComboBox.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToContents)
        self.espComboBox.setObjectName("espComboBox")
        self.gridLayout.addWidget(self.espComboBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(298, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=EspBackupRestoreFirmwareDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.sizeComboBox = QtWidgets.QComboBox(parent=EspBackupRestoreFirmwareDialog)
        self.sizeComboBox.setObjectName("sizeComboBox")
        self.gridLayout.addWidget(self.sizeComboBox, 1, 1, 1, 1)
        self.sizeInfoLabel = QtWidgets.QLabel(parent=EspBackupRestoreFirmwareDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sizeInfoLabel.sizePolicy().hasHeightForWidth())
        self.sizeInfoLabel.setSizePolicy(sizePolicy)
        self.sizeInfoLabel.setWordWrap(True)
        self.sizeInfoLabel.setObjectName("sizeInfoLabel")
        self.gridLayout.addWidget(self.sizeInfoLabel, 1, 2, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=EspBackupRestoreFirmwareDialog)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 2, 0, 1, 1)
        self.baudRateComboBox = QtWidgets.QComboBox(parent=EspBackupRestoreFirmwareDialog)
        self.baudRateComboBox.setObjectName("baudRateComboBox")
        self.gridLayout.addWidget(self.baudRateComboBox, 2, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=EspBackupRestoreFirmwareDialog)
        self.label_3.setToolTip("")
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 3, 0, 1, 1)
        self.modeComboBox = QtWidgets.QComboBox(parent=EspBackupRestoreFirmwareDialog)
        self.modeComboBox.setObjectName("modeComboBox")
        self.gridLayout.addWidget(self.modeComboBox, 3, 1, 1, 1)
        self.modeInfoLabel = QtWidgets.QLabel(parent=EspBackupRestoreFirmwareDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.modeInfoLabel.sizePolicy().hasHeightForWidth())
        self.modeInfoLabel.setSizePolicy(sizePolicy)
        self.modeInfoLabel.setWordWrap(True)
        self.modeInfoLabel.setObjectName("modeInfoLabel")
        self.gridLayout.addWidget(self.modeInfoLabel, 3, 2, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=EspBackupRestoreFirmwareDialog)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 4, 0, 1, 1)
        self.firmwarePicker = EricPathPicker(parent=EspBackupRestoreFirmwareDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.firmwarePicker.sizePolicy().hasHeightForWidth())
        self.firmwarePicker.setSizePolicy(sizePolicy)
        self.firmwarePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.firmwarePicker.setObjectName("firmwarePicker")
        self.gridLayout.addWidget(self.firmwarePicker, 4, 1, 1, 2)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EspBackupRestoreFirmwareDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EspBackupRestoreFirmwareDialog)
        self.buttonBox.accepted.connect(EspBackupRestoreFirmwareDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EspBackupRestoreFirmwareDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EspBackupRestoreFirmwareDialog)
        EspBackupRestoreFirmwareDialog.setTabOrder(self.espComboBox, self.sizeComboBox)
        EspBackupRestoreFirmwareDialog.setTabOrder(self.sizeComboBox, self.baudRateComboBox)
        EspBackupRestoreFirmwareDialog.setTabOrder(self.baudRateComboBox, self.modeComboBox)
        EspBackupRestoreFirmwareDialog.setTabOrder(self.modeComboBox, self.firmwarePicker)

    def retranslateUi(self, EspBackupRestoreFirmwareDialog):
        _translate = QtCore.QCoreApplication.translate
        self.label.setText(_translate("EspBackupRestoreFirmwareDialog", "ESP Chip Type:"))
        self.espComboBox.setToolTip(_translate("EspBackupRestoreFirmwareDialog", "Select the ESP chip type"))
        self.label_2.setText(_translate("EspBackupRestoreFirmwareDialog", "Firmware Size:"))
        self.sizeComboBox.setToolTip(_translate("EspBackupRestoreFirmwareDialog", "Select the firmware size"))
        self.sizeInfoLabel.setText(_translate("EspBackupRestoreFirmwareDialog", "Leave empty to auto detect. size."))
        self.label_6.setText(_translate("EspBackupRestoreFirmwareDialog", "Baud Rate:"))
        self.baudRateComboBox.setToolTip(_translate("EspBackupRestoreFirmwareDialog", "Select the baud rate to be used for flashing (default: 115.200 bps)"))
        self.label_3.setText(_translate("EspBackupRestoreFirmwareDialog", "Flash Mode:"))
        self.modeComboBox.setToolTip(_translate("EspBackupRestoreFirmwareDialog", "Select the flash mode"))
        self.modeInfoLabel.setText(_translate("EspBackupRestoreFirmwareDialog", "Leave empty to use the default mode."))
        self.label_4.setText(_translate("EspBackupRestoreFirmwareDialog", "Firmware:"))
        self.firmwarePicker.setToolTip(_translate("EspBackupRestoreFirmwareDialog", "Enter the path of the firmware file"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
